Skip to main content
Back to API List

Get All SMS/Voice Campaigns API

Use this API to retrieve all SMS campaign configurations associated with a specific account.
MethodPOST
Endpointhttps:///campaign/api/v2/public//campaign/getAllCampaignDetails?accountId=
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeCampaign Management

Path Parameters

ParameterDescriptionType
hostEnvironment URL. For example: https://platform.kore.aistring, required
IIdthe Application ID.string, required

Sample Request for Voice Campaign

Below is a sample request to retrieve all voice campaigns:

Sample Request for SMS Campaign

Below is a sample request to retrieve all SMS campaigns:

Headers

HeaderDescriptionRequired/Optional
authJWT token for authentication.required
iidThe Application Id.required
accountIdThe Account Id.required

Request Body Parameters

ParameterDescriptionType
skipPagination offset. Number of records to skip. Can be a number or an empty string.number, optional
pagePage number for paginated results. Can be a number or an empty string.number, optional
limitNumber of records to return per page. Can be a number or an empty string.number, optional
typeType of campaign. Allowed values: “voice” or “sms”.string, required
startDateFilter start timestamp in ISO 8601 format (YYYY-MM-DDTHHss.sssZ).string (ISO format), optional
endDateFilter end timestamp in ISO 8601 format (YYYY-MM-DDTHHss.sssZ).string (ISO format), optional
sortBy.nameSort by campaign name. Allowed values: “asc”, “desc”. Must be included if any sort field is used.string, optional
sortBy.createdAtSort by campaign creation date. Allowed values: “asc”, “desc”.string, optional
sortBy.updatedAtSort by campaign update date. Allowed values: “asc”, “desc”.string, optional
filters.statusFilter by campaign status. Allowed values: [‘Active’, ‘Completed’, ‘Ready’, ‘Paused’, ‘Preparing’, ‘Stopped’, ‘Scheduled’, ‘Rescheduled’].array[string], optional
filters.priorityFilter by campaign priority. Allowed values: [1, 2, 3, 4, 5].array[number], optional
filters.dialingModeFilter by dialing mode. Allowed values: [Progressive’, ‘Preview’]`. This parameter applies only to voice campaigns.array[number], optional

Sample Response for Voice Campaign

The response provides all voice campaigns matching the request criteria.

Response Body Parameters for Voice Campaign

ParameterDescriptionType
statusStatus of the API response. Typically success or error.string
messageResponse message providing context about the operation.string
dataObject containing the campaign results and pagination metadata.object
data.resultsList of campaign objects returned in the current page.array of objects
data.results[].idUnique ID of the campaign.string
data.results[].nameCampaign name.string
data.results[].descriptionCampaign description.string
data.results[].dncListsContains the contact lists added under the Do Not Call (DNC) listobject
data.results[].dncLists.idUnique identifier of the contact list in the DNC list.string (UUID)
data.results[].dncLists.nameThe name of the contact list included in the Do Not Call (DNC) list.string
data.results[].priorityCampaign priority level.string
data.results[].dialingModeDialing mode used for the voice campaign. This is shown only for voice campaigns. Example: "Agentless"string
data.results[].statusCampaign status. Example: Ready, Stopped.string
data.results[].isFiltersEnabledIndicates whether campaign filters are enabled.Boolean
data.results[].createdAtISO timestamp of campaign creation. (ISO 8601 datetime)string
data.results[].updatedAtISO timestamp of last campaign update. (ISO 8601 datetime)string
data.results[].campaignInstanceUpdatedAtISO timestamp of last campaign execution update. (ISO 8601 datetime)string
data.results[].scheduleSchedule configuration.object
data.results[].schedule.isSchedulingEnabledWhether campaign scheduling is enabled.boolean
data.results[].schedule.isRecurrenceEnabledWhether recurring scheduling is enabled.boolean
data.results[].connectionName of the routing or queue connection linked to the campaign.Example:” Default Queue”.string
data.results[].contactListsArray of contact list names linked to the campaign.array of strings
data.skipNumber of records skipped in the result set.integer
data.limitNumber of records returned per page.integer
data.hasMoreFlag indicating if more records are available.boolean
data.totalPagesTotal number of pages available.integer
data.totalResultsTotal number of records matching the query.integer

Sample Response for SMS Campaign

The response provides all SMS campaigns matching the request criteria.

Response Body Parameters for SMS Campaign

ParameterDescriptionType
statusStatus of the API response. Typically success or error.string
messageResponse message providing context about the operation.string
dataObject containing the campaign results and pagination metadata.object
data.resultsList of campaign objects returned in the current page.array of objects
data.results[].nameCampaign name.string
data.results[].descriptionCampaign description.string
data.results[].statusCampaign status. Example: Ready, Stopped.string
data.results[].dncListsContains the contact lists added under the Do Not Call (DNC) listobject
data.results[].dncLists.nameThe name of the contact list included in the Do Not Call (DNC) list.string
data.results[].experienceFlowID of the associated experience flow. This is present only in advanced sms campaigns.string
data.results[].priorityCampaign priority level.string
data.results[].messageMessage body object (present only in simple SMS campaigns).object
data.results[].message.messagePlain message string sent in the SMS.string
data.results[].createdAtISO timestamp of campaign creation. (ISO 8601 datetime)string
data.results[].updatedAtISO timestamp of last campaign update. (ISO 8601 datetime)string
data.results[].scheduleSchedule configuration.object
data.results[].schedule.isSchedulingEnabledWhether campaign scheduling is enabled.boolean
data.results[].schedule.isRecurrenceEnabledWhether recurring scheduling is enabled.boolean
data.results[].idUnique ID of the campaign.string
data.results[].totalMessagesSentNumber of messages successfully sent in the campaign.integer
data.results[].campaignInstanceUpdatedAtISO timestamp of last campaign execution update. (ISO 8601 datetime)string
data.results[].campaignExecutionTypeType of execution. Example: NORMAL.string
data.results[].contactListsArray of contact list names linked to the campaign.array of strings
data.results[].formatCampaign format. Possible values: simple, advanced.string
data.skipNumber of records skipped in the result set.integer
data.limitNumber of records returned per page.integer
data.hasMoreFlag indicating if more records are available.boolean
data.totalPagesTotal number of pages available.integer
data.totalResultsTotal number of records matching the query.integer